pragma Source_Reference (000001, "asECOAIF_MODIMPL_Container.adb");
-------------------------------------------------------------------
-- @file asECOAIF_MODIMPL_Container.adb
-- Container Interface package body for Module asECOAIF_MODIMPL
-------------------------------------------------------------------
package body asECOAIF_MODIMPL_Container is

   -- Logging and fault management services API

   procedure Log_Trace
      (Context : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Log_Trace;

   procedure Log_Debug
      (Context : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Log_Debug;

   procedure Log_Info
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Log_Info;

   procedure Log_Warning
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Log_Warning;

   procedure Raise_Error
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Raise_Error;

   procedure Raise_Fatal_Error
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Raise_Fatal_Error;

   -- Time services API

   procedure Get_Relative_Local_Time
      (Context             : in out Context_Type;
       Relative_Local_Time :    out ECOA.HR_Time_Type)
   is
   begin
      null; -- Container Code Here
   end Get_Relative_Local_Time;

   procedure Get_UTC_Time
      (Context  : in out Context_Type;
       UTC_Time :    out ECOA.Global_Time_Type;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end Get_UTC_Time;

   procedure Get_Absolute_System_Time
      (Context              : in out Context_Type;
       Absolute_System_Time :    out ECOA.Global_Time_Type;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end Get_Absolute_System_Time;

   -- Time resolution services API

   procedure Get_Relative_Local_Time_Resolution
      (Context                        : in out Context_Type;
       Relative_Local_Time_Resolution :    out ECOA.Duration_Type)
   is
   begin
      null; -- Container Code Here
   end Get_Relative_Local_Time_Resolution;

   procedure Get_UTC_Time_Resolution
      (Context                : in out Context_Type;
       UTC_Time_Resolution :    out ECOA.Duration_Type)
   is
   begin
      null; -- Container Code Here
   end Get_UTC_Time_Resolution;

   procedure Get_Absolute_System_Time_Resolution
      (Context                         : in out Context_Type;
       Absolute_System_Time_Resolution :    out ECOA.Duration_Type)
   is
   begin
      null; -- Container Code Here
   end Get_Absolute_System_Time_Resolution;

   procedure getPosn_Response_Send
      (Context : in out Context_Type;
       ID      : in     ECOA.Unsigned_32_Type;
       acPosn : in Location.Location;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end getPosn_Response_Send;

   procedure getAlt_Response_Send
      (Context : in out Context_Type;
       ID      : in     ECOA.Unsigned_32_Type;
       acAlt : in ECOA.Signed_32_Type;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end getAlt_Response_Send;

   procedure getSpeed_Response_Send
      (Context : in out Context_Type;
       ID      : in     ECOA.Unsigned_32_Type;
       acSpeed : in ECOA.Signed_32_Type;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end getSpeed_Response_Send;

   procedure getWayPoint_Response_Send
      (Context : in out Context_Type;
       ID      : in     ECOA.Unsigned_32_Type;
       wp : in Location.Location;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end getWayPoint_Response_Send;

end asECOAIF_MODIMPL_Container;
