-- ##############################################################
-- # (C) 2016 BAE SYSTEMS
-- #
-- # ECOA Trad_v_ECOA Sample - "Traditional" Ada Implementation - Location Datatype Definition
-- #
-- # $Id: Location.adb,v 2.1 2017/11/06 15:33:36 ksappleb Exp $
-- #
-- # Part of the BAE Systems, Rochester, ECOA Samples collection
-- #
-- # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
-- #
-- # This software is developed for and on behalf of BAE Systems (Operations)
-- # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
-- GE Aviation Systems Limited,
-- # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
-- # and the copyright is owned by BAE Systems (Operations) Limited,
-- # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
-- # GE Aviation Systems Limited, General Dynamics United Kingdom
-- # Limited and Leonardo MW Ltd
-- #
-- # This software is developed by BAE Systems (Operations)
-- # Limited, Electronic Systems, and is the Intellectual
-- # Property of BAE Systems (Operations) Limited, Electronic Systems.
-- #
-- # The information set out in this document is provided solely
-- # on an 'as is' basis and the co-developers of this software make
-- # no warranties expressed or implied, including no warranties
-- # as to completeness, accuracy or fitness for purpose, with respect
-- # to any of the information.
-- ##############################################################

package body Location is

	function latitude( obj : in Location )  return integer is
	begin
		return obj.latitude;
	end latitude;
	
	function longitude( obj : in Location ) return integer is
	begin
		return obj.longitude;
	end longitude;
	
	procedure set( obj : in out Location; latitude :  integer; longitude : integer ) is
	begin
		obj.latitude  := latitude;
		obj.longitude := longitude;
	end set;
	
	procedure setLatitude(  obj : in out Location; latitude :  integer ) is
	begin
		obj.latitude := latitude;
	end setLatitude;
	
	procedure setLongitude( obj : in out Location; longitude : integer ) is
	begin
		obj.longitude := longitude;
	end setLongitude;
	
end Location;