pragma Source_Reference (000001, "asECOAMain_MODIMPL_Container.adb");
-------------------------------------------------------------------
-- @file asECOAMain_MODIMPL_Container.adb
-- Container Interface package body for Module asECOAMain_MODIMPL
-------------------------------------------------------------------
package body asECOAMain_MODIMPL_Container is

   -- Logging and fault management services API

   procedure Log_Trace
      (Context : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Log_Trace;

   procedure Log_Debug
      (Context : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Log_Debug;

   procedure Log_Info
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Log_Info;

   procedure Log_Warning
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Log_Warning;

   procedure Raise_Error
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Raise_Error;

   procedure Raise_Fatal_Error
      (Context  : in out Context_Type;
       Log      : in ECOA.Log_Type)
   is
   begin
      null; -- Container Code Here
   end Raise_Fatal_Error;

   -- Time services API

   procedure Get_Relative_Local_Time
      (Context             : in out Context_Type;
       Relative_Local_Time :    out ECOA.HR_Time_Type)
   is
   begin
      null; -- Container Code Here
   end Get_Relative_Local_Time;

   procedure Get_UTC_Time
      (Context  : in out Context_Type;
       UTC_Time :    out ECOA.Global_Time_Type;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end Get_UTC_Time;

   procedure Get_Absolute_System_Time
      (Context              : in out Context_Type;
       Absolute_System_Time :    out ECOA.Global_Time_Type;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end Get_Absolute_System_Time;

   -- Time resolution services API

   procedure Get_Relative_Local_Time_Resolution
      (Context                        : in out Context_Type;
       Relative_Local_Time_Resolution :    out ECOA.Duration_Type)
   is
   begin
      null; -- Container Code Here
   end Get_Relative_Local_Time_Resolution;

   procedure Get_UTC_Time_Resolution
      (Context                : in out Context_Type;
       UTC_Time_Resolution :    out ECOA.Duration_Type)
   is
   begin
      null; -- Container Code Here
   end Get_UTC_Time_Resolution;

   procedure Get_Absolute_System_Time_Resolution
      (Context                         : in out Context_Type;
       Absolute_System_Time_Resolution :    out ECOA.Duration_Type)
   is
   begin
      null; -- Container Code Here
   end Get_Absolute_System_Time_Resolution;

   procedure getPosn_Request_Sync
      (Context : in out Context_Type;
       acPosn : out Location.Location;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end getPosn_Request_Sync;

   procedure getAlt_Request_Sync
      (Context : in out Context_Type;
       acAlt : out ECOA.Signed_32_Type;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end getAlt_Request_Sync;

   procedure getSpeed_Request_Sync
      (Context : in out Context_Type;
       acSpeed : out ECOA.Signed_32_Type;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end getSpeed_Request_Sync;

   procedure getWayPoint_Request_Sync
      (Context : in out Context_Type;
       wp : out Location.Location;
       Status  :    out ECOA.Return_Status_Type)
   is
   begin
      null; -- Container Code Here
   end getWayPoint_Request_Sync;

   procedure putSteer_Send
      (Context : in out Context_Type;
       steer : in ECOA.Signed_32_Type)
   is
   begin
      null; -- Container Code Here
   end putSteer_Send;

end asECOAMain_MODIMPL_Container;
