pragma Source_Reference (000001, "asECOAMain_MODIMPL_User_Context.ads");
-------------------------------------------------------------------
-- @file asECOAMain_MODIMPL_User_Context.ads
-- This is the module implementation private user context data type
-- that is included in the module context.
-------------------------------------------------------------------
-- ##############################################################
-- # (C) 2016 BAE SYSTEMS
-- #
-- # ECOA Trad_v_ECOA Sample - "as ECOA" Ada Implementation - User Context Definition
-- #
-- # $Id: asECOAMain_MODIMPL_User_Context.ads,v 2.2 2017/11/06 15:33:36 ksappleb Exp $
-- #
-- # Part of the BAE Systems, Rochester, ECOA Samples collection
-- #
-- # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
-- #
-- # This software is developed for and on behalf of BAE Systems (Operations)
-- # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
-- GE Aviation Systems Limited,
-- # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
-- # and the copyright is owned by BAE Systems (Operations) Limited,
-- # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
-- # GE Aviation Systems Limited, General Dynamics United Kingdom
-- # Limited and Leonardo MW Ltd
-- #
-- # This software is developed by BAE Systems (Operations)
-- # Limited, Electronic Systems, and is the Intellectual
-- # Property of BAE Systems (Operations) Limited, Electronic Systems.
-- #
-- # The information set out in this document is provided solely
-- # on an 'as is' basis and the co-developers of this software make
-- # no warranties expressed or implied, including no warranties
-- # as to completeness, accuracy or fitness for purpose, with respect
-- # to any of the information.
-- ##############################################################

with ECOA, Location;

package asECOAMain_MODIMPL_User_Context is

   -- User Module Context structure example
   type User_Context_Type is record

	acPosn : Location.Location;
	acAlt, acSpeed : ECOA.Signed_32_Type;

   end record;

end asECOAMain_MODIMPL_User_Context;
